/*
 * exhtml.h
 * Extension language library: wxHtml wrapper
 *
 */

#ifndef exhtmlh
#define exhtmlh

#include "wx_defs.h"

#if USE_WXHTML
// Use wxHtml for a non-WinSock, HTML viewer; wxWWW for a (less reliable) Web browser
#define HTML_CLASS wxHtml
#define wxTYPE_HTML            121

long wxcHtmlCreate (long parentId, int x = -1, int y = -1, int width = -1, int height = -1, long style = 0, char *name = "html");
// String version
long wxcHtmlCreate (long parentId, int x, int y, int width, int height, char *styleString, char *name = "html");

Bool wxcHtmlOpenURL (WXID id, char *url);
Bool wxcHtmlOpenFile (WXID id, char *file);
Bool wxcHtmlSaveFile (WXID id, char *file);
char *wxcHtmlGetCurrentURL (WXID id);
void wxcHtmlResize (WXID id);
Bool wxcHtmlBack (WXID id);
void wxcHtmlClearCache (WXID id);
void wxcHtmlCancel (WXID id);
void wxcHtmlOnSize (WXID id, int w, int h);
// void wxcHtmlOnPaint (WXID id);

#endif

#endif // exhtmlh
